- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QStateMachine Class Reference

Search for all occurrences

## Detailed Description

Definition at line 63 of file qstatemachine.h.

`#include <qstatemachine.h>`

Inheritance diagram for QStateMachine:
[legend]

List of all members.

## Classes
class | SignalEvent
class | WrappedEvent
## Public Types
enum | EventPriority { NormalPriority, HighPriority }
enum | RestorePolicy { DontRestoreProperties, RestoreProperties }
enum | Error { NoError, NoInitialStateError, NoDefaultStateInHistoryStateError, NoCommonAncestorForTransitionError }
## Public Slots
void | start ()
void | stop ()
## Signals
void | started ()
void | stopped ()
## Public Member Functions
| QStateMachine (QObject *parent=0)
| ~QStateMachine ()
void | addState (QAbstractState *state)
void | removeState (QAbstractState *state)
Error | error () const
QString | errorString () const
void | clearError ()
bool | isRunning () const
bool | isAnimated () const
void | setAnimated (bool enabled)
void | addDefaultAnimation (QAbstractAnimation *animation)
QList< QAbstractAnimation * > | defaultAnimations () const
void | removeDefaultAnimation (QAbstractAnimation *animation)
QStateMachine::RestorePolicy | globalRestorePolicy () const
void | setGlobalRestorePolicy (QStateMachine::RestorePolicy restorePolicy)
void | postEvent (QEvent *event, EventPriority priority=NormalPriority)
int | postDelayedEvent (QEvent *event, int delay)
bool | cancelDelayedEvent (int id)
QSet< QAbstractState * > | configuration () const
bool | eventFilter (QObject *watched, QEvent *event)
## Protected Member Functions
void | onEntry (QEvent *event)
void | onExit (QEvent *event)
virtual void | beginSelectTransitions (QEvent *event)
virtual void | endSelectTransitions (QEvent *event)
virtual void | beginMicrostep (QEvent *event)
virtual void | endMicrostep (QEvent *event)
bool | event (QEvent *e)
| QStateMachine (QStateMachinePrivate &dd, QObject *parent)
## Properties
QString | errorString
RestorePolicy | globalRestorePolicy
bool | animated

## Member Enumeration Documentation

enum EventPriority

Search for all occurrences

Enumerator:

  NormalPriority | Search for all occurrences
  HighPriority | Search for all occurrences

Definition at line 106 of file qstatemachine.h.

                           {
            NormalPriority,
            HighPriority
        };

enum RestorePolicy

Search for all occurrences

Enumerator:

  DontRestoreProperties | Search for all occurrences
  RestoreProperties | Search for all occurrences

Definition at line 111 of file qstatemachine.h.

                           {
            DontRestoreProperties,
            RestoreProperties
        };

enum Error

Search for all occurrences

Enumerator:

  NoError | Search for all occurrences
  NoInitialStateError | Search for all occurrences
  NoDefaultStateInHistoryStateError | Search for all occurrences
  NoCommonAncestorForTransitionError | Search for all occurrences

Definition at line 116 of file qstatemachine.h.

                   {
            NoError,
            NoInitialStateError,
            NoDefaultStateInHistoryStateError,
            NoCommonAncestorForTransitionError
        };

## Constructor & Destructor Documentation

QStateMachine | ( | QObject * | parent = `0` | ) |

~QStateMachine | ( |  | ) |

QStateMachine | ( | QStateMachinePrivate & | dd,
|  | QObject * | parent
| ) |  | `[protected]`

## Member Function Documentation

void addState | ( | QAbstractState * | state | ) |

Search for all occurrences

void removeState | ( | QAbstractState * | state | ) |

Search for all occurrences

Error error | ( |  | ) | const

Search for all occurrences

QString errorString | ( |  | ) | const

Search for all occurrences

void clearError | ( |  | ) |

Search for all occurrences

bool isRunning | ( |  | ) | const

Search for all occurrences

bool isAnimated | ( |  | ) | const

Search for all occurrences

void setAnimated | ( | bool | enabled | ) |

Search for all occurrences

void addDefaultAnimation | ( | QAbstractAnimation * | animation | ) |

Search for all occurrences

QList<QAbstractAnimation *> defaultAnimations | ( |  | ) | const

Search for all occurrences

void removeDefaultAnimation | ( | QAbstractAnimation * | animation | ) |

Search for all occurrences

QStateMachine::RestorePolicy globalRestorePolicy | ( |  | ) | const

Search for all occurrences

void setGlobalRestorePolicy | ( | QStateMachine::RestorePolicy | restorePolicy | ) |

Search for all occurrences

void postEvent | ( | QEvent * | event,
|  | EventPriority | priority = `NormalPriority`
| ) |  |

Search for all occurrences

int postDelayedEvent | ( | QEvent * | event,
|  | int | delay
| ) |  |

Search for all occurrences

bool cancelDelayedEvent | ( | int | id | ) |

Search for all occurrences

QSet<QAbstractState*> configuration | ( |  | ) | const

Search for all occurrences

bool eventFilter | ( | QObject * | watched,
|  | QEvent * | event
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QObject.

void start | ( |  | ) | `[slot]`

Search for all occurrences

void stop | ( |  | ) | `[slot]`

Search for all occurrences

void started | ( |  | ) | `[signal]`

Search for all occurrences

void stopped | ( |  | ) | `[signal]`

Search for all occurrences

void onEntry | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QState.

void onExit | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QState.

virtual void beginSelectTransitions | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void endSelectTransitions | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void beginMicrostep | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

virtual void endMicrostep | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QState.

## Property Documentation

QString errorString `[read]`

Search for all occurrences

Definition at line 66 of file qstatemachine.h.

RestorePolicy globalRestorePolicy `[read, write]`

Search for all occurrences

Definition at line 67 of file qstatemachine.h.

bool animated `[read, write]`

Search for all occurrences

Definition at line 70 of file qstatemachine.h.

The documentation for this class was generated from the following file:

- QtCore/qstatemachine.h

QStateMachine QStateMachine QStateMachine QStateMachine QStateMachine QStateMachine QStateMachine QStateMachine QStateMachine QStateMachine
QStateMachine QStateMachine QStateMachine QStateMachine QStateMachine QStateMachine QStateMachine QStateMachine QStateMachine QStateMachine